// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_failed_contract_distribution_count.sql

package queries

import (
	"context"
)

const getFailedDistributionCount = `-- name: GetFailedDistributionCount :one

SELECT
    COUNT(*) as failed_distribution_count
FROM
    contracts.failed_distributions
`

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) GetFailedDistributionCount(ctx context.Context) (int64, error) {
	row := q.db.QueryRow(ctx, getFailedDistributionCount)
	var failed_distribution_count int64
	err := row.Scan(&failed_distribution_count)
	return failed_distribution_count, err
}
